.helm-package-build:
  image:
    name: registry.gitlab.com/nevertheless.space/docker-registry/kubectl-helm:1.1.0
    entrypoint: ["/bin/sh", "-c"]
  variables:
    CI_JOB_TOKEN: "${GITLAB_PERSONAL_ACCESS_TOKEN}"
    GIT_TAG: "${CI_COMMIT_TAG}" # reponame/version
    SUBFOLDER: "" # /foldername
  before_script:
    - 'helm repo add --username gitlab-ci-token --password ${CI_JOB_TOKEN} ${CI_PROJECT_NAME} ${CI_API_V4_URL}/projects/${CI_PROJECT_ID}/packages/helm/stable'
  script:
    - REPOSITORY_NAME=$(echo $GIT_TAG | cut -d '/' -f 1)
    - TAG=$(echo $GIT_TAG | cut -d '/' -f 2)
    - echo "Repo name = ${REPOSITORY_NAME}, Tag = ${TAG}"

    - file_name="./charts/${REPOSITORY_NAME}${SUBFOLDER}/Chart.yaml" 
    - to_replace="0.0.0" 
    - replace_with="${TAG}" 
    - sed_string="s/${to_replace}/${replace_with}/g" 
    - replaced=$(sed "$sed_string" $file_name) 
    - echo "${replaced}" > $file_name 

    - helm package ./charts/${REPOSITORY_NAME}${SUBFOLDER} --destination .
    - package_file=$(ls | grep ".tgz")

    - 'helm cm-push ./${package_file} ${CI_PROJECT_NAME}'